projects
/
irspy-moved-to-github.git
/ commitdiff
commit
grep
author
committer
pickaxe
?
search:
re
summary
|
shortlog
|
log
|
commit
| commitdiff |
tree
raw
|
patch
| inline |
side by side
(parent:
67fd0bf
)
wrapper for irspy.pl
author
Wolfram Schneider
<wosch@indexdata.dk>
Wed, 14 Apr 2010 09:32:28 +0000
(09:32 +0000)
committer
Wolfram Schneider
<wosch@indexdata.dk>
Wed, 14 Apr 2010 09:32:28 +0000
(09:32 +0000)
bin/irspy.sh
[new file with mode: 0755]
patch
|
blob
diff --git a/bin/irspy.sh
b/bin/irspy.sh
new file mode 100755
(executable)
index 0000000..
fea2758
--- /dev/null
+++ b/
bin/irspy.sh
@@ -0,0
+1,18
@@
+#!/bin/sh
+#
+# wrapper for irspy.pl
+#
+# run irspy with a smaller set of records in a loop to avoid out-of-memory
+#
+
+home=/usr/local/src/git
+cd $home/irspy/bin || exit 2
+logdir=../tmp
+
+for i in 0 1 2 3 4 5 6
+do
+ logfile=$logdir/irspy-mod-$i.log.`date '%w'`
+ YAZ_LOG=irspy,irspy_test nice -10 time perl -I../lib irspy.pl -n 50 -d -M 3500 -a -t Main -m 7,$i localhost:8018/IR-Explain---1 > $logfile 2>&1
+ gzip -f $logfile
+done
+